Subject: Large attachment in S/MIME

From: [email-masked]
Date: Thu, 24 Jun 1999 17:11:19 +0200

We are actually looking at using S/MIME in a file manager (Windows Explorer,
...) but we are not aware of any RFC or drafts describing this process.
Has anybody seen anything about this?

Another problem we are trying to solve concerns very large file (or attachment
when it is a message) in S/MIME. As the ContentInfo need to be DER encoded, it
is not possible to process a buffer excessively large. What should be done in
this case?

Thanks for your help.

---

From: Russ Housley <[email-masked]>
Date: Thu, 24 Jun 1999 14:44:34 -0400

I assume that you want to use CMS, nor all of S/MIME.  I do not understand
what value the MIME encoding would provide in your application.

the contents of the encapsulatedContentInfo field do not need to be DER
encoded. Section 5.2 states this clearly.

Russ